org.apache.commons.ssl

## Class Java13KeyManagerWrapper

- java.lang.Object
- - org.apache.commons.ssl.Java13KeyManagerWrapper

All Implemented Interfaces:
  com.sun.net.ssl.KeyManager, com.sun.net.ssl.X509KeyManager

    public class Java13KeyManagerWrapper
    extends java.lang.Object
    implements com.sun.net.ssl.X509KeyManager

Since:
  30-Jun-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`private com.sun.net.ssl.X509KeyManager` `keyManager`

### Constructor Summary

Constructors
Constructor and Description
`Java13KeyManagerWrapper(com.sun.net.ssl.X509KeyManager m, KeyMaterial km, SSL h)`

### Method Summary

Methods
`java.lang.String` `chooseClientAlias(java.lang.String keyType, java.security.Principal[] issuers)`
`java.lang.String` `chooseServerAlias(java.lang.String keyType, java.security.Principal[] issuers)`
`java.security.cert.X509Certificate[]` `getCertificateChain(java.lang.String alias)`
`java.lang.String[]` `getClientAliases(java.lang.String keyType, java.security.Principal[] issuers)`
`java.security.PrivateKey` `getPrivateKey(java.lang.String alias)`
`java.lang.String[]` `getServerAliases(java.lang.String keyType, java.security.Principal[] issuers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keyManager

    private final com.sun.net.ssl.X509KeyManager keyManager

### Constructor Detail

#### Java13KeyManagerWrapper

    public Java13KeyManagerWrapper(com.sun.net.ssl.X509KeyManager m,
                           KeyMaterial km,
                           SSL h)

### Method Detail

#### chooseClientAlias

    public java.lang.String chooseClientAlias(java.lang.String keyType,
                                     java.security.Principal[] issuers)

Specified by:
  `chooseClientAlias` in interface `com.sun.net.ssl.X509KeyManager`

#### chooseServerAlias

    public java.lang.String chooseServerAlias(java.lang.String keyType,
                                     java.security.Principal[] issuers)

Specified by:
  `chooseServerAlias` in interface `com.sun.net.ssl.X509KeyManager`

#### getCertificateChain

    public java.security.cert.X509Certificate[] getCertificateChain(java.lang.String alias)

Specified by:
  `getCertificateChain` in interface `com.sun.net.ssl.X509KeyManager`

#### getClientAliases

    public java.lang.String[] getClientAliases(java.lang.String keyType,
                                      java.security.Principal[] issuers)

Specified by:
  `getClientAliases` in interface `com.sun.net.ssl.X509KeyManager`

#### getPrivateKey

    public java.security.PrivateKey getPrivateKey(java.lang.String alias)

Specified by:
  `getPrivateKey` in interface `com.sun.net.ssl.X509KeyManager`

#### getServerAliases

    public java.lang.String[] getServerAliases(java.lang.String keyType,
                                      java.security.Principal[] issuers)

Specified by:
  `getServerAliases` in interface `com.sun.net.ssl.X509KeyManager`